const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const formula_feeding_logs = sequelize.define(
    'formula_feeding_logs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

fed_at: {
        type: DataTypes.DATE,
      
      

      },

volume_ml: {
        type: DataTypes.INTEGER,
      
      

      },

formula_brand: {
        type: DataTypes.TEXT,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  formula_feeding_logs.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.formula_feeding_logs.belongsTo(db.pregnancies, {
      as: 'pregnancy',
      foreignKey: {
        name: 'pregnancyId',
      },
      constraints: false,
    });




    db.formula_feeding_logs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.formula_feeding_logs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return formula_feeding_logs;
};


